org.apache.tomcat.jdbc.pool.interceptor

## Class StatementDecoratorInterceptor.ResultSetProxy

- java.lang.Object
- - org.apache.tomcat.jdbc.pool.interceptor.StatementDecoratorInterceptor.ResultSetProxy

- All Implemented Interfaces:
    InvocationHandler
  Enclosing class:
    StatementDecoratorInterceptor

      protected class StatementDecoratorInterceptor.ResultSetProxy
      extends Object
      implements InvocationHandler

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StatementDecoratorInterceptor.ResultSetProxy(Object st, Object delegate)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `invoke(Object proxy, Method method, Object[] args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StatementDecoratorInterceptor.ResultSetProxy

          public StatementDecoratorInterceptor.ResultSetProxy(Object st,
                                                      Object delegate)

  - ### Method Detail

    - #### invoke

          public Object invoke(Object proxy,
                      Method method,
                      Object[] args)
                        throws Throwable

      Specified by:
        `invoke` in interface `InvocationHandler`
      Throws:
        `Throwable`

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.